
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品评论
 *
 * @author YXF
 * @date 2021-01-11 13:47:33
 */
public class SpuComm extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 匿名
     */
    public static final Integer ANONYMOUS = 1;

    /**
     * ID
     */
    private Long spuCommId;

    /**
     * 商品ID
     */
    private Long spuId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 订单项ID
     */
    private Long orderItemId;

    /**
     * 评论用户ID
     */
    private Long userId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 掌柜回复
     */
    private String replyContent;

    /**
     * 回复时间
     */
    private Date replyTime;

    /**
     * 是否回复 0:未回复  1:已回复
     */
    private Integer replySts;

    /**
     * IP来源
     */
    private String postip;

    /**
     * 商品得分，1-5分
     */
    private Integer score;

    /**
     * 店铺评分 1-5分
     */
    private Integer storeScore;

    /**
     * 物流评分 1-5分
     */
    private Integer logisticsScore;

    /**
     * 有用的计数
     */
    private Integer usefulCounts;

    /**
     * 晒图的json字符串
     */
    private String pics;

    /**
     * 是否匿名(1:是  0:否)
     */
    private Integer isAnonymous;

    /**
     * 是否显示  -1:删除 0:不显示 1:显示 2 审核不通过 3.待审核
     */
    private Integer status;

    /**
     * 评价(0好评 1中评 2差评)
     */
    private Integer evaluate;

    public Long getSpuCommId() {
        return spuCommId;
    }

    public void setSpuCommId(Long spuCommId) {
        this.spuCommId = spuCommId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public Date getReplyTime() {
        return replyTime;
    }

    public void setReplyTime(Date replyTime) {
        this.replyTime = replyTime;
    }

    public Integer getReplySts() {
        return replySts;
    }

    public void setReplySts(Integer replySts) {
        this.replySts = replySts;
    }

    public String getPostip() {
        return postip;
    }

    public void setPostip(String postip) {
        this.postip = postip;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getStoreScore() {
        return storeScore;
    }

    public void setStoreScore(Integer storeScore) {
        this.storeScore = storeScore;
    }

    public Integer getLogisticsScore() {
        return logisticsScore;
    }

    public void setLogisticsScore(Integer logisticsScore) {
        this.logisticsScore = logisticsScore;
    }

    public Integer getUsefulCounts() {
        return usefulCounts;
    }

    public void setUsefulCounts(Integer usefulCounts) {
        this.usefulCounts = usefulCounts;
    }

    public String getPics() {
        return pics;
    }

    public void setPics(String pics) {
        this.pics = pics;
    }

    public Integer getIsAnonymous() {
        return isAnonymous;
    }

    public void setIsAnonymous(Integer isAnonymous) {
        this.isAnonymous = isAnonymous;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getEvaluate() {
        return evaluate;
    }

    public void setEvaluate(Integer evaluate) {
        this.evaluate = evaluate;
    }

    @Override
    public String toString() {
        return "SpuComm{" +
                "spuCommId=" + spuCommId +
                ", spuId=" + spuId +
                ", shopId=" + shopId +
                ", orderItemId=" + orderItemId +
                ", userId=" + userId +
                ", content='" + content + '\'' +
                ", replyContent='" + replyContent + '\'' +
                ", replyTime=" + replyTime +
                ", replySts=" + replySts +
                ", postip='" + postip + '\'' +
                ", score=" + score +
                ", storeScore=" + storeScore +
                ", logisticsScore=" + logisticsScore +
                ", usefulCounts=" + usefulCounts +
                ", pics='" + pics + '\'' +
                ", isAnonymous=" + isAnonymous +
                ", status=" + status +
                ", evaluate=" + evaluate +
                '}';
    }
}
